%define upstream_name    CPAN-Meta-Requirements
%define upstream_version 2.143

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A set of version requirements for a CPAN dist
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(version) >= 0.880.0
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
A CPAN::Meta::Requirements object models a set of version constraints like
those specified in the _META.yml_ or _META.json_ files in CPAN
distributions. It can be built up by adding more and more constraints, and
it will reduce them to the simplest representation.

Logically impossible constraints will be identified immediately by thrown
exceptions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Aug 30 2023 tv <tv> 2.143.0-1.mga10
+ Revision: 1981058
- update to 2.143

* Sun Mar 20 2022 umeabot <umeabot> 2.140.0-5.mga9
+ Revision: 1802626
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.140.0-4.mga8
+ Revision: 1493596
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.140.0-3.mga7
+ Revision: 1266690
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 2.140.0-2.mga6
+ Revision: 1024482
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 2.140.0-1.mga6
+ Revision: 1001636
- update to 2.140

* Thu Feb 18 2016 umeabot <umeabot> 2.133.0-2.mga6
+ Revision: 967276
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 2.133.0-1.mga6
+ Revision: 848596
- update to 2.133

* Sun Oct 19 2014 umeabot <umeabot> 2.128.0-5.mga5
+ Revision: 790650
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.128.0-4.mga5
+ Revision: 749058
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.128.0-3.mga5
+ Revision: 732964
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.128.0-2.mga5
+ Revision: 683675
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 2.128.0-1.mga5
+ Revision: 672873
- update to 2.128

* Fri Aug 01 2014 sander85 <sander85> 2.126.0-1.mga5
+ Revision: 658908
- update to 2.126

* Mon Feb 10 2014 jquelin <jquelin> 2.125.0-3.mga5
+ Revision: 587909
- rebuild after perl 5.18.2

* Mon Oct 21 2013 umeabot <umeabot> 2.125.0-2.mga4
+ Revision: 537565
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 2.125.0-1.mga4
+ Revision: 487231
- update to 2.125

* Fri Sep 06 2013 sander85 <sander85> 2.123.0-1.mga4
+ Revision: 475453
- update to 2.123

* Fri Mar 22 2013 jquelin <jquelin> 2.122.0-5.mga3
+ Revision: 404492
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.122.0-4.mga3
+ Revision: 363613
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 2.122.0-3.mga3
+ Revision: 315111
- perl 5.16.2 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 2.122.0-2.mga3
+ Revision: 284580
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 2.122.0-1.mga3
+ Revision: 254218
- imported package perl-CPAN-Meta-Requirements

